View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000024aMuleMiscpublic2004-04-17 01:182004-07-18 12:40
Reporterslainer68 
Assigned ToKry 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000024: Possible problem with GTK2 detection in configure
Descriptionnicolas@pcfixe aMule-2.0.0rc2 $ ./configure
checking for a BSD-compatible install... /bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for C++ compiler default output... a.out
checking whether the C++ compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for style of include used by make... GNU
checking dependency style of g++... gcc3
checking for gcc... gcc
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking dependency style of gcc... gcc3
checking how to run the C preprocessor... gcc -E
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking build system type... i686-pc-linux
checking host system type... i686-pc-linux
checking for ranlib... ranlib
checking for strerror in -lcposix... no
checking for egrep... grep -E
checking for ANSI C header files... yes
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for off_t... yes
checking for size_t... yes
checking for working alloca.h... yes
checking for alloca... yes
checking for stdlib.h... (cached) yes
checking for unistd.h... (cached) yes
checking for getpagesize... yes
checking for working mmap... yes
checking whether we are using the GNU C Library 2.1 or newer... yes
checking whether integer division by zero raises SIGFPE... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unsigned long long... yes
checking for inttypes.h... yes
checking whether the inttypes.h PRIxNN macros are broken... no
checking for ld used by GCC... /usr/i686-pc-linux-gnu/bin/ld
checking if the linker (/usr/i686-pc-linux-gnu/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking argz.h usability... yes
checking argz.h presence... yes
checking for argz.h... yes
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking nl_types.h usability... yes
checking nl_types.h presence... yes
checking for nl_types.h... yes
checking malloc.h usability... yes
checking malloc.h presence... yes
checking for malloc.h... yes
checking stddef.h usability... yes
checking stddef.h presence... yes
checking for stddef.h... yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for unistd.h... (cached) yes
checking sys/param.h usability... yes
checking sys/param.h presence... yes
checking for sys/param.h... yes
checking for feof_unlocked... yes
checking for fgets_unlocked... yes
checking for getc_unlocked... yes
checking for getcwd... yes
checking for getegid... yes
checking for geteuid... yes
checking for getgid... yes
checking for getuid... yes
checking for mempcpy... yes
checking for munmap... yes
checking for putenv... yes
checking for setenv... yes
checking for setlocale... yes
checking for stpcpy... yes
checking for strcasecmp... yes
checking for strdup... yes
checking for strtoul... yes
checking for tsearch... yes
checking for __argz_count... yes
checking for __argz_stringify... yes
checking for __argz_next... yes
checking for iconv... yes
checking for iconv declaration...
         extern size_t iconv (iconv_t cd, char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
checking for nl_langinfo and CODESET... yes
checking for LC_MESSAGES... yes
checking for bison... bison
checking version of bison... 1.875, ok
checking whether NLS is requested... yes
checking whether included gettext is requested... no
checking for GNU gettext in libc... yes
checking for wx-config... /usr/bin/wx-config
checking for wxWidgets version >= 2.4.0... yes (version 2.4.2)
checking for wxbase-2.4-config... /usr/local/bin/wxbase-2.4-config
checking for wxWidgets base version >= 2.4.0... yes (version 2.4.2)
checking for curl >= 7.9.5... yes (version 7.11.0)
checking if wxWidgets was linked with GTK2... yes
checking for pkg-config... /usr/bin/pkg-config
checking for GTK+ - version >= 2.0.3... yes (version 2.2.4)
checking if wxWidgets version >=2.5.0 ... no
checking for crypto++ version >= 5.1... yes
checking zlib.h usability... yes
checking zlib.h presence... yes
checking for zlib.h... yes
checking whether SysTray should be compiled... yes
checking whether SysTray should be compiled in safe mode... no
checking whether pure GTK code should be compiled... yes
checking whether progress bar drawing should be disabled... no
checking for ANSI C header files... (cached) yes
checking arpa/inet.h usability... yes
checking arpa/inet.h presence... yes
checking for arpa/inet.h... yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking for locale.h... (cached) yes
checking netdb.h usability... yes
checking netdb.h presence... yes
checking for netdb.h... yes
checking netinet/in.h usability... yes
checking netinet/in.h presence... yes
checking for netinet/in.h... yes
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking sys/timeb.h usability... yes
checking sys/timeb.h presence... yes
checking for sys/timeb.h... yes
checking sys/resource.h usability... yes
checking sys/resource.h presence... yes
checking for sys/resource.h... yes
checking for an ANSI C-conforming const... (cached) yes
checking for inline... (cached) inline
checking for off_t... (cached) yes
checking for size_t... (cached) yes
checking whether time.h and sys/time.h may both be included... yes
checking whether struct tm is in sys/time.h or time.h... time.h
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... yes
checking for working memcmp... yes
checking for sys/time.h... (cached) yes
checking for unistd.h... (cached) yes
checking for alarm... yes
checking for working mktime... yes
checking return type of signal handlers... void
checking whether lstat dereferences a symlink specified with a trailing slash... yes
checking whether stat accepts an empty string... no
checking for strftime... yes
checking for floor... no
checking for ftruncate... yes
checking for gettimeofday... yes
checking for inet_ntoa... yes
checking for memchr... yes
checking for memmove... yes
checking for memset... yes
checking for mkdir... yes
checking for putenv... (cached) yes
checking for select... yes
checking for setlocale... (cached) yes
checking for sqrt... no
checking for strcasecmp... (cached) yes
checking for strchr... yes
checking for strdup... (cached) yes
checking for strrchr... yes
checking for strstr... yes
checking for strtoul... (cached) yes
checking for getrlimit... yes
checking for setrlimit... yes
checking whether ccache support should be added... no
configure: creating ./config.status
config.status: creating src/Makefile
config.status: creating intl/Makefile
config.status: creating po/Makefile.in
config.status: creating m4/Makefile
config.status: creating Makefile
config.status: creating Compilation.flags
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing depfiles commands
config.status: executing default-1 commands
config.status: creating po/POTFILES
config.status: creating po/Makefile


  Configure script has finished system check.

  Configured aMule 2.0.0rc2 for 'i686-pc-linux'.

  Should aMule be compiled in debug mode? yes
  Should aMule be compiled with release grp code? no
  Should aMule be compiled without debug reporting? yes
  Should aMule be compiled with profiling? no
  Should aMule be compiled with optimizations? no
  Should aMule be compiled with systray? yes
  Should aMule be compiled with safe systray? no
  Should aMule be compiled with pure GTK code? yes
  Should aMule be compiled without bar drawing? no
  Should aMule be linked against patched gsocket? yes
  Should ccache support be enabled? no
  Should aMule command line client be built? no
  Should aMule GUI client be build? no
  Should aMule WebServer be build? no
  Should aMule WebServer GUI be build? no
  Should aMule ed2k links handler be build? yes
  Should C aMule Statistics (CAS) be build? yes
  Crypto++ library/headers style? gentoo_debian

  Which libraries should aMule use?
                                       wxWidgets 2.4.2
                                       GTK Not detected


  WARNING!! Your wxWidgets copy has been linked against GTK2 and this will make aMule
  be instable, use so much cpu and ram. You have been advised, don't report bugs so.
Additional InformationI'm running configure on my Gentoo box with wxWidgets 2.4.2 and GTK 2 properly installed (I had aMule 1.2.6 previously emerged).

As you can see in the configure part below, configure detects my GTK 2 version and wxWidgets version and also displays "checking if wxWidgets was linked with GTK2... yes".
But at the end of the configure : "WARNING!! Your wxWidgets copy has been linked against GTK2 and this will make aMule
  be instable, use so much cpu and ram. You have been advised, don't report bugs so."

"checking for wxWidgets version >= 2.4.0... yes (version 2.4.2)
checking for wxbase-2.4-config... /usr/local/bin/wxbase-2.4-config
checking for wxWidgets base version >= 2.4.0... yes (version 2.4.2)
checking for curl >= 7.9.5... yes (version 7.11.0)
checking if wxWidgets was linked with GTK2... yes
checking for pkg-config... /usr/bin/pkg-config
checking for GTK+ - version >= 2.0.3... yes (version 2.2.4)"

Nicolas.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000038)
Jacobo221 (updater)
2004-04-17 22:28

GTK2 is not fully supported by wxGTK 2.4 an there for, wxGTK shouldn't be linked against GTK2.
(0000041)
Kry (manager)
2004-04-17 23:45

you mean wxGTK 2.4 :P
(0000154)
Kry (manager)
2004-07-18 12:40

Fixed on rc4

- Issue History
Date Modified Username Field Change
2004-04-17 01:18 slainer68 New Issue
2004-04-17 22:28 Jacobo221 Note Added: 0000038
2004-04-17 22:29 Jacobo221 Note Added: 0000039
2004-04-17 22:29 Jacobo221 Note Deleted: 0000039
2004-04-17 23:45 Kry Note Added: 0000041
2004-04-20 09:51 Xaignar Severity tweak => minor
2004-04-20 09:51 Xaignar Category Backtrace => Misc
2004-04-20 09:51 Xaignar View Status @0@ => public
2004-04-20 09:51 Xaignar Description Updated
2004-04-20 09:51 Xaignar Additional Information Updated
2004-07-18 12:40 Kry Status new => resolved
2004-07-18 12:40 Kry Resolution open => fixed
2004-07-18 12:40 Kry Assigned To => Kry
2004-07-18 12:40 Kry Note Added: 0000154


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker